Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_control_frame_struct Struct Reference

`#include <vm_core.h>`

## Data Fields
const VALUE * | pc
VALUE * | sp
const rb_iseq_t * | iseq
VALUE | self
const VALUE * | ep
const void * | block_code
VALUE * | __bp__

## Detailed Description

Definition at line 760 of file vm_core.h.

## Field Documentation

## ◆ __bp__

VALUE * rb_control_frame_struct::__bp__

Definition at line 767 of file vm_core.h.

## ◆ block_code

const void * rb_control_frame_struct::block_code

Definition at line 766 of file vm_core.h.

Referenced by rb_execution_context_update().

## ◆ ep

const VALUE * rb_control_frame_struct::ep

Definition at line 765 of file vm_core.h.

Referenced by rb_execution_context_mark(), rb_execution_context_update(), rb_vm_frame_method_entry(), rb_vm_lvar_exposed(), rb_vmdebug_debug_print_register(), and rb_vmdebug_stack_dump_raw().

## ◆ iseq

const rb_iseq_t * rb_control_frame_struct::iseq

Definition at line 763 of file vm_core.h.

Referenced by rb_execution_context_update(), rb_sourcefile(), rb_vm_set_progname(), and rb_vmdebug_debug_print_pre().

## ◆ pc

const VALUE * rb_control_frame_struct::pc

Definition at line 761 of file vm_core.h.

## ◆ self

VALUE rb_control_frame_struct::self

Definition at line 764 of file vm_core.h.

Referenced by rb_current_receiver(), rb_execution_context_update(), rb_vm_cref_in_context(), and rb_vm_pop_cfunc_frame().

## ◆ sp

VALUE * rb_control_frame_struct::sp

Definition at line 762 of file vm_core.h.

Referenced by rb_execution_context_mark(), rb_vmdebug_debug_print_pre(), and rb_vmdebug_stack_dump_raw().

The documentation for this struct was generated from the following files:

- vm_core.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h